Loading...
Searching...
No Matches
rpmprob.h File Reference
(un)Installing packages: » Problem Element API.
`#include <stdio.h>`
`#include <rpm/rpmtypes.h>`
Include dependency graph for rpmprob.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct rpmProblem_s * | rpmProblem
typedef rpmFlags | rpmprobFilterFlags
typedef enum rpmProblemType_e | rpmProblemType

## Enumerations

enum

rpmprobFilterFlags_e {
RPMPROB_FILTER_NONE = 0 , RPMPROB_FILTER_IGNOREOS = (1 << 0) , RPMPROB_FILTER_IGNOREARCH = (1 << 1) , RPMPROB_FILTER_REPLACEPKG = (1 << 2) ,
RPMPROB_FILTER_FORCERELOCATE = (1 << 3) , RPMPROB_FILTER_REPLACENEWFILES = (1 << 4) , RPMPROB_FILTER_REPLACEOLDFILES = (1 << 5) , RPMPROB_FILTER_OLDPACKAGE = (1 << 6) ,
RPMPROB_FILTER_DISKSPACE = (1 << 7) , RPMPROB_FILTER_DISKNODES = (1 << 8) , RPMPROB_FILTER_VERIFY = (1 << 9)
}

enum | rpmProblemType_e { RPMPROB_BADARCH , RPMPROB_BADOS , RPMPROB_PKG_INSTALLED , RPMPROB_BADRELOCATE , RPMPROB_REQUIRES , RPMPROB_CONFLICT , RPMPROB_NEW_FILE_CONFLICT , RPMPROB_FILE_CONFLICT , RPMPROB_OLDPACKAGE , RPMPROB_DISKSPACE , RPMPROB_DISKNODES , RPMPROB_OBSOLETES , RPMPROB_VERIFY }

## Functions

rpmProblem | rpmProblemCreate (rpmProblemType type, const char *pkgNEVR, fnpyKey key, const char *altNEVR, const char *str, uint64_t number)
rpmProblem | rpmProblemFree (rpmProblem prob)
rpmProblem | rpmProblemLink (rpmProblem prob)
int | rpmProblemCompare (rpmProblem ap, rpmProblem bp)
const char * | rpmProblemGetPkgNEVR (rpmProblem prob)
const char * | rpmProblemGetAltNEVR (rpmProblem prob)
rpmProblemType | rpmProblemGetType (rpmProblem prob)
fnpyKey | rpmProblemGetKey (rpmProblem prob)
const char * | rpmProblemGetStr (rpmProblem prob)
rpm_loff_t | rpmProblemGetDiskNeed (rpmProblem prob)
char * | rpmProblemString (rpmProblem prob)

## Detailed Description

Structures and prototypes used for an rpm problem item.